# Ran Online

Ran Online (stylized as RAN Online) was a massively multiplayer online role-playing game (MMORPG) developed by [Min Communications, Inc](http://www.mincoms.co.kr/). The game is set in real-life schools and cities, where players take the role of students in three different school clubs gathering to protect different areas from evil forces. The game offers different character classes, PvP, and more.

## Disclaimers

This source code is based on EP7 shared by Jollin88. All copyrights to this source code are owned by [Min Communications, Inc](http://www.mincoms.co.kr/) and all their respective developers. All modifications made in this source code are only for educational purposes, and if you want to make a private server using this source code, please do so at your own risk. I will not be responsible for anything you do with this source code.

You must be fully aware and accept that every code you work on in this project belongs to the community (which is a member of RaGEZONE). You (as a member) cannot sue members in this project including me (as the owner) for any reason because I (as the owner) or others, have never encouraged or asked you to work on this project.

This source code is fully free to download and to use. We have [Discord Server!](https://discord.gg/VfH7xQc) feel free to join.

## Goals

### Priority

- Make this source code as stable as possible.
- Clean this source code as clean as possible.
- Update sources to new C ++ standards and syntax (11, 14, 17).
- Completing tools (WorldEditor, EffectEditor, and so on).

### Nice To Have

- Update all dependencies to new version (DirectX, and so on).
- Adding support for Shader.
- Adding support for NVIDIA PhysX Library.
- Adding support for LUA script.

This source code will remain in EP7 until I decide to update it to a newer EP. So, don't bother asking me about new features.

## Code of Conduct

**IMPORTANT** : I will not merge your works if you do not follow my rules.

- Create branch from branch master for each tasks / issues that you want to work (one branch, one task / issue).
- The new branch name should be same as task / issue title.
- Provide details for every commit you push.
- Provide change log in every merge request detail.

## How to Contribute

- Must have knowledge in C++.
- Willing to work for the community (for free of course).
- Must have Gitlab account.
- Have a forum RaGEZONE account.

## Contributors

- [geger009](http://forum.ragezone.com/members/1333334837.html)
- [Quiirex](http://forum.ragezone.com/members/1333385074.html)

# Game Client

[Ran Online Client Based on PH V822](https://gitlab.com/ragezone/ranonline/game-client)